Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf

                                                 ; opens the device "winmm"
AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf

;   /**
;    * Create a pink noise sample Source.  Pink noise is noise with equal
;    * power distribution among octaves (logarithmic), not frequencies.
;    *
;    * @Return  pink noise sample Source
;    */
SampleSourceObject.SampleSource=AUDIERE_CreatePinkNoise()
If SampleSourceObject=0
    MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf


OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
    If OutputStreamObject=0                                        
    MessageRequester("","Error OpenSound",0):End:EndIf 


OutputStreamObject\play()                       ; play the sound


    MessageRequester("Press OK to stop this mess.","You hear pink noise.",0)


OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=46
; FirstLine=1
; EOF