Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf

                                                 ; opens the device "winmm"
AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf

; /**
; * Create a sine tone sample Source with the specified frequency.
; *
; * @param1.f, param2.f frequency of the tone in Hz.
; *                     It isn't possible (yet) to handle double values with Purebasic.
; *                     So you have to split it to 2 floats with the functions
; *                     DoublePart1(frequency) And DoublePart2(frequency)
; *
; * @Return  tone sample Source
; */
SampleSourceObject.SampleSource=AUDIERE_CreateTone(DoublePart1(734.56),DoublePart2(734.56))
If SampleSourceObject=0
    MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf

 
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
    If OutputStreamObject=0                                        
    MessageRequester("","Error OpenSound",0):End:EndIf 


OutputStreamObject\play()                       ; play the sound


    MessageRequester("Press OK to stop the sound","You hear a sine tone 734.56 Hz",0)


OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=20
; FirstLine=1
; EOF