Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf




;   /**
;    * Open a new audio device. If name Or parameters are not specified,
;    * Defaults are used. Each platform has its own set of audio devices.
;    * Every platform supports the "null" audio device.
;    *
;    * @param  name  name of audio device that should be used
;    * @param  parameters  comma delimited list of audio-device parameters;
;    *                     For example, "buffer=100,rate=44100"
;    *
;    * @Return  new audio device object If OpenDevice succeeds, And 0 in Case
;    *          of failure
;    */
AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf
                                              



                                                 ; opens a music
SampleSourceObject.SampleSource= AUDIERE_OpenSampleSource(@"machinae_supremacy_-_sidstyler.ogg",#FF_AUTODETECT) 
    If SampleSourceObject=0
    MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf



                                                 ; open the stream to play
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
    If OutputStreamObject=0                                        
    MessageRequester("","Error OpenSound",0):End:EndIf 


OutputStreamObject\play()                       ; play the sound
                        
                        
    MessageRequester("","Press OK to stop the sound",0)


                                                
OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=32
; FirstLine=11
; EOF