Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf



AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf
                                              

SampleSourceObject.SampleSource= AUDIERE_OpenSampleSource(@"machinae_supremacy_-_sidstyler.ogg",#FF_AUTODETECT) 
    If SampleSourceObject=0
    MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf



;   /**
;    * Try to open a sound buffer using the specified AudioDevice and
;    * sample source.  If the specified sample source is seekable, it
;    * loads it into memory And uses AudioDevice::openBuffer To Create
;    * the output stream.  If the stream is not seekable, it uses
;    * AudioDevice::openStream To create the output stream.  This means
;    * that certain file types must always be streamed, And therefore,
;    * OpenSound will hold on to the file object.  If you must guarantee
;    * that the file on disk is no longer referenced, you must create
;    * your own memory file implementation and load your data into that
;    * before calling OpenSound.
;    *
;    * @param device  AudioDevice in which to open the output stream.
;    *
;    * @param Source  SampleSource used to generate samples for the sound
;    *                object.  OpenSound takes ownership of source, even
;    *                if it returns 0.  (in that case, OpenSound immediately
;    *                deletes the SsampleSource.)
;    *
;    * @param streaming  If false or unspecified, OpenSound attempts to
;    *                   open the entire sound into memory.  otherwise, it
;    *                   streams the sound from the file.
;    *
;    * @Return  new output stream If successful, 0 otherwise
;    */
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
    If OutputStreamObject=0                                        
    MessageRequester("","Error OpenSound",0):End:EndIf 



OutputStreamObject\play()                       ; play the sound
                        
    MessageRequester("","Press OK to stop the sound",0)
                                                
OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=16
; FirstLine=1
; EOF