Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf


                                            ; open a device
AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf
    
    
; /**
; * Create a LoopPointSource from a SampleSource.  The SampleSource must
; * be seekable.  If it isn't, or the source isn't valid and this function
; * returns 0.
; * AUDIERE_CreateLoopPointSourceFile ist just a wrapper with AUDIERE_OpenSampleSource()
LoopPointSourceObject.LoopPointSource=AUDIERE_CreateLoopPointSourceFile(@"machinae_supremacy_-_sidstyler.ogg",#FF_AUTODETECT)
    If LoopPointSourceObject=0
    MessageRequester("","Error AUDIERE_CreateLoopPointSourceFile",0):End:EndIf


; set the LoopPoint    
LoopPointSourceObject\addLoopPoint(100000,50000,5)


; repeat -> yes
LoopPointSourceObject\setRepeat(#True)


; creates a OutputStream object
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,LoopPointSourceObject,AUDIERE_FF_AUTODETECT)


MessageRequester("READ THIS !","If you press OK the sound will begin to play and when it reaches frame 100000"+Chr(13)+"it will jump back 5 times to frame 50000 and after that it will play normally until the"+Chr(13)+"sound is finished.",0)

; and plays the object
OutputStreamObject\play()


MessageRequester("","Press OK to stop this mess",0)


OutputStreamObject\ref()                            ; refcounter+1
OutputStreamObject\unref()                          ; delete the object (refcounter-1)

AudioDeviceObject\ref()                             ; refcounter+1
AudioDeviceObject\unref()                           ; delete the object (refCounter-1)
                                                    ;
                                                    ; Note:
                                                    ; It isn't necessary to delete the 
                                                    ; SampleSourceObject and the  
                                                    ; LoopPointSourceObject because 
                                                    ; AUDIERE_OpenSound(foo) takes care of it.
                                                    ; Don't ask me why .... :*|
CloseLibrary(#audiere)
; ExecutableFormat=
; CursorPosition=21
; FirstLine=1
; EOF