Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf



AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf
                                              


;    * opens a sample Source from the specified file object.  If the Sound file
;    * cannot be opened, This factory function Returns 0.
;    *
;    * @Note  Some Sound Files support seeking, While Some don't.
;    *
;    * @param file         file object from which To Open the decoder
;    * @param file_format  format of the file To load.  If FF_AUTODETECT,
;    *                     Audiere will try opening the file in Each format.
;    *
;    * @Return  new SampleSource If OpenSampleSource succeeds, 0 otherwise
;    */
SampleSourceObject.SampleSource= AUDIERE_OpenSampleSource(@"machinae_supremacy_-_sidstyler.ogg",#FF_AUTODETECT) 
    If SampleSourceObject=0
    MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf


                                                 ; open the stream to play
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
    If OutputStreamObject=0                                        
    MessageRequester("","Error OpenSound",0):End:EndIf 



OutputStreamObject\play()                       ; play the sound
                        
                        
    MessageRequester("","Press OK to stop the sound",0)

                                                
OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=28
; FirstLine=6
; EOF