Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf

                                                ; opens a device
AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
    If AudioDeviceObject=0
    MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf
                                              
                                                 ; opens a music
SampleSourceObject.SampleSource= AUDIERE_OpenSampleSource(@"machinae_supremacy_-_sidstyler.ogg",#FF_AUTODETECT) 
    If SampleSourceObject=0
    MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf

                                                 ; open the stream to play
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
    If OutputStreamObject=0                                        
    MessageRequester("","Error OpenSound",0):End:EndIf 


OutputStreamObject\play()                       ; play the sound


OutputStreamObject\setRepeat(#False)            ; do NOT repeat the Stream



; /**
; * @Return  true If the stream is repeating
; */
MessageRequester("The stream will NOT be repeated now","OutputStreamObject\getRepeat() is "+Str(OutputStreamObject\getRepeat()),0)
                                                
OutputStreamObject\setRepeat(#True)             ; do repeat the Stream
                                                
MessageRequester("The stream will be repeated now","OutputStreamObject\getRepeat() is "+Str(OutputStreamObject\getRepeat()),0)


                                                
OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=15
; FirstLine=1
; EOF