Enumeration
  #audiere
EndEnumeration

IncludeFile "audiere.pbi"

If OpenLibrary(#audiere,"audiere.dll")=0
MessageRequester("","Error audiere.dll",0):End:EndIf


; opens a device
AudioDeviceObject.AudioDevice=AUDIERE_OpenDevice(@"winmm",@"buffer=100,rate=44100")    
If AudioDeviceObject=0
MessageRequester("","Error AUDIERE_OpenDevice:",0):End:EndIf


; opens a music
SampleSourceObject.SampleSource= AUDIERE_OpenSampleSource(@"machinae_supremacy_-_sidstyler.ogg",#FF_AUTODETECT) 
If SampleSourceObject=0
MessageRequester("","Error AUDIERE_OpenSampleSource",0):End:EndIf


; open the stream to play
OutputStreamObject.OutputStream=AUDIERE_OpenSound(AudioDeviceObject,SampleSourceObject,#False)  
If OutputStreamObject=0                                        
MessageRequester("","Error OpenSound",0):End:EndIf 


OutputStreamObject\play()                       ; play the sound


;*
;* Please Note:
;*
;* All methods which give back a float variable do it via a fpu register.
;* To put the value into your variable you have to do the following:
;*   Global _floatresult.f
;*   !FST dword[v__floatresult]
;* After that is the value in _floatresult.f
;*

; /**
; * set CURRENT pitch shift.
; *
; * @param shift  can range from 0.5 To 2.0.  Default is 1.0.
; */
OutputStreamObject\setPitchShift(0.5)         ; set pitchShift to 0.5
OutputStreamObject\getPitchShift()
Global _floatresult.f
!FST dword[v__floatresult]
MessageRequester("The actual pitchShift is ",StrF(_floatresult.f),0)


OutputStreamObject\setPitchShift(0.8)         ; set pitchShift to 0.8
OutputStreamObject\getPitchShift()
Global _floatresult.f
!FST dword[v__floatresult]
MessageRequester("The actual pitchShift is ",StrF(_floatresult.f),0)


OutputStreamObject\setPitchShift(1)         ; set pitchShift to 1
OutputStreamObject\getPitchShift()
Global _floatresult.f
!FST dword[v__floatresult]
MessageRequester("The actual pitchShift is ",StrF(_floatresult.f),0)


OutputStreamObject\setPitchShift(1.5)         ; set pitchShift to 1.5
OutputStreamObject\getPitchShift()            
Global _floatresult.f
!FST dword[v__floatresult]
MessageRequester("The actual pitchShift is ",StrF(_floatresult.f),0)

    
OutputStreamObject\stop()

OutputStreamObject\ref()                        ; refcounter+1
OutputStreamObject\unref()                      ; delete the object (refCounter-1)

AudioDeviceObject\ref()                         ; refcounter+1
AudioDeviceObject\unref()                       ; delete the object (refCounter-1)
                                                ;
                                                ; Note:
                                                ; it isn't necessary to delete the 
                                                ; SampleSourceObject because OpenSound takes
                                                ; over it.
CloseLibrary(#audiere)
; ExecutableFormat=Windows
; CursorPosition=17
; FirstLine=4
; EOF